> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/fr/ressources-pour-les-developpeurs/api-docs/vector-store/get-vector-stores-information.md).

# Obtenir les informations du magasin de vecteurs

{% openapi src="/files/k0wV9YEEppPnffcGeVUk" path="/vector-stores/me" method="get" %}
[rememberizer\_openapi.yml](https://3811618827-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FwduaTA5Sz3nf9aH5k1S6%2Fuploads%2Fgit-blob-77b6137eeb641262ec8e531c78123c02b825b865%2Frememberizer_openapi.yml?alt=media\&token=9d0098e1-f392-4761-be64-ff6f2caad99e)
{% endopenapi %}

## Exemples de Requêtes

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET \
  https://api.rememberizer.ai/api/v1/vector-stores/me \
  -H "x-api-key: VOTRE_CLE_API"
```

{% hint style="info" %}
Remplacez `VOTRE_CLE_API` par votre véritable clé API de Vector Store.
{% endhint %}
{% endtab %}

{% tab title="JavaScript" %}

```javascript
const getVectorStoreInfo = async () => {
  const response = await fetch('https://api.rememberizer.ai/api/v1/vector-stores/me', {
    method: 'GET',
    headers: {
      'x-api-key': 'VOTRE_CLE_API'
    }
  });
  
  const data = await response.json();
  console.log(data);
};

getVectorStoreInfo();
```

{% hint style="info" %}
Remplacez `VOTRE_CLE_API` par votre véritable clé API de Vector Store.
{% endhint %}
{% endtab %}

{% tab title="Python" %}

```python
import requests

def get_vector_store_info():
    headers = {
        "x-api-key": "VOTRE_CLE_API"
    }
    
    response = requests.get(
        "https://api.rememberizer.ai/api/v1/vector-stores/me",
        headers=headers
    )
    
    data = response.json()
    print(data)

get_vector_store_info()
```

{% hint style="info" %}
Remplacez `VOTRE_CLE_API` par votre véritable clé API de Vector Store.
{% endhint %}
{% endtab %}
{% endtabs %}

## Format de Réponse

```json
{
  "id": "vs_abc123",
  "name": "Mon Magasin de Vecteurs",
  "description": "Un magasin de vecteurs pour la documentation des produits",
  "embedding_model": "sentence-transformers/all-mpnet-base-v2",
  "indexing_algorithm": "ivfflat",
  "vector_dimension": 128,
  "search_metric": "cosine_distance",
  "created": "2023-06-01T10:30:00Z",
  "modified": "2023-06-15T14:45:00Z"
}
```

## Authentification

Ce point de terminaison nécessite une authentification à l'aide d'une clé API dans l'en-tête `x-api-key`.

## Réponses d'erreur

| Code d'état | Description                                  |
| ----------- | -------------------------------------------- |
| 401         | Non autorisé - Clé API invalide ou manquante |
| 404         | Non trouvé - Magasin de vecteurs non trouvé  |
| 500         | Erreur interne du serveur                    |

Ce point de terminaison récupère des informations sur le magasin de vecteurs associé à la clé API fournie. Il est utile pour vérifier les détails de configuration, y compris le modèle d'incorporation, la dimensionnalité et la métrique de recherche utilisée. Ces informations peuvent être précieuses pour optimiser les requêtes de recherche et comprendre les capacités du magasin de vecteurs.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rememberizer.ai/fr/ressources-pour-les-developpeurs/api-docs/vector-store/get-vector-stores-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
